Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11412

Description

QGIS (0.11 Metis) does not list these projections which are vital and standard in South Africa:

South African Coordinate System zone xx (EPSG odd numbers from 22275 - 22293)

and

Hartebeesthoek94/ Loxx (EPSG 2046 - 2055)

afaik there is a recent Trac ticket in proj4 to add these there, but they need to get into QGIS soon. It seems that QGIS writes a prj file with

EPSG 4326 (WGS84) when I export a shapefile in one of our "Hartebeesthoek94/ Loxx", which of course is totally invalid. I am getting

corrupted shapefiles editing in QGIS and am not sure if it is because of this projection issue.

In uDig they are listed but not defined. In [[PostGIS]] they have WKT definitions but no proj4 definition! This could be a big impediment to

professional takeup in SA if not resolved soon.

History

#1 - 2008-10-16 02:04 AM - Magnus Homann

- Status changed from Open to In Progress

Do you have the proj4 definitions handy? If so, please attach them.

#2 - 2008-10-16 05:13 AM - Gavin Fleming

Replying to [comment:1 homann]:

Do you have the proj4 definitions handy? If so, please attach them.

Attached are the WKT and PROJ4 definitions as csv’s from spatial_ref_sys.

SA Hartebeesthoek datum:

4148 is fine - that's the fundamental GEOGCS. The rest have default, invalid proj4 definitions, except for 2054 (the last one) where I have attempted a

proj4 definition but I don’t think it’s quite right.

SA Cape datum:
These all seem to be defined OK – just need to be added to QGIS.

#3 - 2008-10-16 05:37 AM - Gavin Fleming

Replying to [comment:2 gfleming]:

sorry, correction - the proj4 definitions for the SA Cape datum projections mentioned below and attached are INCOMPLETE. they only include the datum

specs, not the projection or central meridian or other parameters.

Replying to [comment:1 homann]:

Do you have the proj4 definitions handy? If so, please attach them.

Attached are the WKT and PROJ4 definitions as csv’s from spatial_ref_sys.

SA Hartebeesthoek datum:

4148 is fine - that's the fundamental GEOGCS. The rest have default, invalid proj4 definitions, except for 2054 (the last one) where I have attempted

a proj4 definition but I don’t think it’s quite right.

SA Cape datum:

These all seem to be defined OK – just need to be added to QGIS.

#4 - 2008-10-16 01:07 PM - Magnus Homann

- Resolution set to duplicate

- Status changed from In Progress to Closed

I'm closing this one, as there was a similar ticket open. Let's concentrate on ticket #1176.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

SA_Cape_datum.csv 8.76 KB 2008-10-16 Gavin Fleming

SA_Hartebeesthoek_datum.csv 7.04 KB 2008-10-16 Gavin Fleming
